<template>
	<!-- 联系客服弹框 -->
	<uv-overlay :show="show" @click="close">
		<view class="warp">
			<view class="rect" @tap.stop>
				<view class="title">联系客服</view>
				<view class="center">确定拨打客服电话?</view>
				<view class="bottom">
					<view class="btn1"
					@click="close">
						取消
					</view>
					<view class="btn2"
					@click="confirm">
						确定
					</view>
				</view>
			</view>
		</view>
	</uv-overlay>
</template>

<script>
	export default {
		data() {
			return {
				show: false,
				phone:'',
			}
		},
		onLoad() {
			this.getCustomPhone()
		},
		methods: {
			getCustomPhone(){
				this.$api('customUser', {}, res => {
					this.phone = res.result.phone
				})
			},
			open() {
				this.show = true
			},
			close() {
				this.show = false
			},
			// 拨打电话
			confirm() {
				this.show = false
				uni.makePhoneCall({
					phoneNumber: this.phone,
					success() {
						console.log('安卓拨打成功');
					},
					fail() {
						console.log('安卓拨打失败');
					}
				})
			},
		}
	}
</script>

<style scoped lang="scss">
	.warp {
		display: flex;
		align-items: center;
		justify-content: center;
		height: 100%;

	}

	.rect {
		width: 600rpx;
		height: 300rpx;
		background-color: #fff;
		border-radius: 20rpx;
		overflow: hidden;

		.title {
			padding: 10rpx 0 0 15rpx;
			background-color: $uni-color;
			color: #FFF;
			text-align: left;
			width: 100%;
			height: 18%;
			font-size: 36rpx;
		}

		.center {
			height: 40%;
			display: flex;
			justify-content: center;
			align-items: center;
			font-size: 36rpx;
		}

		.bottom {
			display: flex;
			justify-content: center;
			gap: 50rpx;
			view{
				height: 60rpx;
				line-height: 60rpx;
				padding: 0 50rpx;
				border-radius: 30rpx;
			}
			.btn1{
				background-color: rgba($color: $uni-color, $alpha: 0.2);
				color: $uni-color;
			}
			.btn2{
				background-color: $uni-color;
				color: #fff;
			}
		}
	}
</style>